org.gradle.api.publish.maven.tasks

## Class PublishToMavenRepository

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.maven.tasks.AbstractPublishToMaven
      - - org.gradle.api.publish.maven.tasks.PublishToMavenRepository

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class PublishToMavenRepository
      extends AbstractPublishToMaven

  Publishes a `MavenPublication` to a `MavenArtifactRepository`.
  Since:
    1.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublishToMavenRepository()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MavenArtifactRepository` | `getRepository()` The repository to publish to.
    `protected org.gradle.api.internal.artifacts.repositories.transport.RepositoryTransportFactory` | `getRepositoryTransportFactory()`
    `void` | `publish()`
    `void` | `setRepository(MavenArtifactRepository repository)` Sets the repository to publish to.

    - ### Methods inherited from class org.gradle.api.publish.maven.tasks.AbstractPublishToMaven

      `getLoggingManagerFactory, getMavenRepositoryLocator, getPublication, getPublicationInternal, setPublication`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PublishToMavenRepository

          public PublishToMavenRepository()

  - ### Method Detail

    - #### getRepository

          @Internal
          public MavenArtifactRepository getRepository()

      The repository to publish to.
      Returns:
        The repository to publish to

    - #### setRepository

          public void setRepository(MavenArtifactRepository repository)

      Sets the repository to publish to.
      Parameters:
        `repository` - The repository to publish to

    - #### publish

          public void publish()

    - #### getRepositoryTransportFactory

          @Inject
          protected org.gradle.api.internal.artifacts.repositories.transport.RepositoryTransportFactory getRepositoryTransportFactory()